/**********************************************************************
// source file name    : util.h
// date of preperation : 2016.03.17
// date of last update : 2016.03.17
// developer           : mskim
**********************************************************************/
#ifndef __UTIL_DEFINE_H__
#define __UTIL_DEFINE_H__

#include <inttypes.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <signal.h>           // SIGINT
#include <string.h>           // memset
#include <sys/time.h>         // gettimeofday
#include <time.h>             // clock_gettime
#include <sys/types.h>
#include <malloc.h>

#ifdef __cplusplus
extern "C" {
#endif

int Cto0NdC(char *dst, char *src, int len);
int64_t S64(const char *s) ;
long Get_File_Size_Char(char* pcFile);
long Read_File_Char(char* pcDesc, char* pcFile);
int Write_File_Char(unsigned char *data, long len, char *file);
int Add_Write_File_Char(char *data, long len, char *file);
void Byte_Ordering(void *dest,const void *src,size_t n);


#ifdef __cplusplus
}
#endif

#endif
